| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
LicenseSpring.LicenseManager Class Reference

Class for performing basic requests to LicenseSpring backend and managing licenses. Implements `ILicenseManager` interface. More...

Inheritance diagram for LicenseSpring.LicenseManager:

## Public Member Functions
ILicense | ActivateAirGapLicense (string code, string policyPath, string licenseKey, UInt32 policyId)
ILicense | ActivateLicense (LicenseID licenseID)
  | Activate license with given LicenseID. Parameters
  licenseID | License ID: license key or email and password.
  Returns License if activation successful, throws exceptions in case of errors. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseActivationException | In case something went wrong with license activation.
  LicenseSpring.LicenseDisabledException | Thrown when license is disabled.
  LicenseSpring.LicenseExpiredException | Thrown when license is expired.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.CannotBeActivatedNowException | If start_date field is set for the license and current date is behind start date.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.
ILicense | ActivateLicense (LicenseID licenseID, DeviceVariable[] deviceVariables)
  | Activate license with given LicenseID and device variables. Parameters
  licenseID | License ID: license key or email and password.
  deviceVariables | An array of device variables to be sent to the LicenseSpring platform during license activation.
  Returns License if activation successful, throws exceptions in case of errors. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseActivationException | In case something went wrong with license activation.
  LicenseSpring.LicenseDisabledException | Thrown when license is disabled.
  LicenseSpring.LicenseExpiredException | Thrown when license is expired.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.CannotBeActivatedNowException | If start_date field is set for the license and current date is behind start date.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.
ILicense | ActivateLicense (string data, string accountCode=null, bool useToken=false, string redirectUri=null)
| Activate license using SSO.You can omit accountCode param if you already set customer account code through the Configuration.
ILicense | ActivateLicenseOffline (string activationResponseFile=null)
  | Activate provided offline activation file. Parameters
  activationResponseFile | Activation response file path, null means use default path (Desktop).
  Returns License if activation succeeded. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
  System.IO.FileNotFoundException | Thrown when provided file not found.
  LicenseSpring.SignatureMismatchException | In case signature in activation file is not valid.
  LicenseSpring.ActivationFileException | In case invalid activation file provided, check inner exception for more details.
bool | ChangePassword (LicenseID licenseID, string newPassword)
  | Change user password, meaningful only for user-based products. Parameters
  licenseID | LicenseID: email and password.
  newPassword | New password.
  Returns True if successfully changed and false otherwise. Exceptions
  System.Security.Authentication.InvalidCredentialException | In case of wrong password.
  LicenseSpring.PasswordChangeNotAllowedException | If changing password is forbidden.
  LicenseSpring.MissingParametersException | If password or newPassword is empty.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.
string | GetAirGapActivationCode (string initializationCode, string licenseKey)
| Get air gap Activation code.Available only in .NET Framework 4.7 or greater, .NET Standard, .NET 5.0 and later versions.
string[] | GetAllSSOUrls (string accountCode=null, bool useToken=false)
| Get URL and any alternate URLs for Single Sign-On license activation.You can omit accountCode param if you already set customer account code through the Configuration.
string[] | GetAllVersions (LicenseID licenseID)
  | Get all available versions for given license. Parameters
  licenseID | License id: license key or user id.
  Returns An array of versions available for the license. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseStateException | In case provided license is not active.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.
ILicenseUser[] | GetCustomerLicenseUsers (Customer customer)
| Get license users information by customer.Please note that email is required field in Customer information.
InstallationFile | GetInstallationFile (LicenseID licenseID, IInstallationFileOptions options=null)
  | Get InstallationFile information for given license. Parameters
  licenseID | License id: license key or user id.
  options | Providing InstallationFileOptions you can filter install files by channel or environment, you can also specify needed version.
This param is optional, if not provided then last available version assumed from default channel.
string | GetOfflineActivationFile (LicenseID licenseID, DeviceVariable[] deviceVariables, string activationRequestFile=null)
  | Creates offline activation file request. Parameters
  licenseID | License ID, license key or email and password.
  deviceVariables | An array of device variables to be sent to the LicenseSpring platform during license activation.
  activationRequestFile | Activation request file path, null means use default path (Desktop).
  Returns Path to offline activation file request. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
string | GetOfflineActivationFile (LicenseID licenseID, string activationRequestFile=null)
  | Creates offline activation file request. Parameters
  licenseID | License ID, license key or email and password.
  activationRequestFile | Activation request file path, null means use default path (Desktop).
  Returns Path to offline activation file request. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
ProductDetails | GetProductDetails (bool includeCustomFields, bool includeLatestVersion, string env)
| Retrieve information about a product from LicenseSpring backend.In offline mode data will be retrieved from license file if present.
ProductDetails | GetProductDetails (bool includeCustomFields=false, bool includeLatestVersion=false)
| Retrieve information about a product from LicenseSpring backend.In offline mode data will be retrieved from license file if present.
string | GetSSOUrl (string accountCode=null, bool useToken=false)
| Get URL for Single Sign-On license activation.You can omit accountCode param if you already set customer account code through the Configuration.
LicenseID | GetTrialLicense (Customer user=null, string licensePolicy=null)
| Request trial license from LicenseSpring.If you provide user information please note that user's email is required field.
LicenseID | GetTrialLicense (string email)
  | Request trial license from LicenseSpring platform. Overloaded method. Parameters
  email | User's email.
  Returns Trial LicenseID. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.
UserLicensesData[] | GetUserLicenses (string username, string password)
  | Retrieves all licenses for the provided username and password and the product this LicenseManager is initialized for. Parameters
  username | Username of the user for whom the licenses will be retrieved.
  password | Password of the user for whom the licenses will be retrieved.
Returns Array of licenses and user information for each license. Returns an empty array if username or password is not provided.
UserLicensesData[] | GetUserLicensesSSO (string data, bool useToken=false, string redirectUri=null)
  | Get all user licenses using SSO, for the product this LicenseManager is initialized for. Parameters
  data | id_token or code you get after user authorization with SSO.
  useToken | Whether to use id_token instead of code for activation.
  redirectUri | An optional redirect URI that needs to be sent with authentication data. The License API expects a non-empty value only when using an alternate SSO URL.
Returns Array of licenses and user information for each license. Returns an empty array if data is not provided.
bool | IsOnline (bool throwExceptions=false)
  | Helper method, it checks connection to the LicenseSpring backend. Parameters
  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.
  Returns True if SDK is able to connect to the LicenseSpring platform and false otherwise. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
| LicenseManager ()
| Constructor of LicenseManager.
ILicense | RelinkLicense (DeviceIDAlgorithm deviceIdAlgorithm, string userPassword=null)
| This method helps upgrade to new device id algorithm. It deactivates current license with old device id and activate with new one. Internet connection is required.Local license is required to call this method. May throw exceptions the same as ActivateLicense and License.Deactivate methods.
Public Member Functions inherited from LicenseSpring.BaseManager
void | ClearLocalStorage ()
| Removes the license file, license log and folders created by the SDK.
ILicense | CurrentLicense ()
| Load license from local storage (if not yet loaded).
virtual void | Initialize (Configuration configuration, ILicenseStorage storage=null)
| Initialize license manager with the given configuration.
bool | IsInitialized ()
| Check whether license manager has been initialized.
string | LicenseFilePath ()
| Returns full path to the license file, meaningful only if LicenseFileStorage (or derived) is used.
ILicense | ReloadLicense ()
| Resets current license and loads it again from the local storage.
Public Member Functions inherited from LicenseSpring.ILicenseManager
ILicense | ActivateAirGapLicense (string confirmationCode, string policyPath, string licenseKey, uint policyId)
| Verify Confirmation code and activate air gap license using given license policy or policies.
void | ClearLocalStorage ()
| See BaseManager.ClearLocalStorage.
ILicense | CurrentLicense ()
| See BaseManager.CurrentLicense.
void | Initialize (Configuration configuration, ILicenseStorage storage=null)
| See BaseManager.Initialize.
bool | IsInitialized ()
| See BaseManager.IsInitialized.
string | LicenseFilePath ()
| See BaseManager.LicenseFilePath.
ILicense | ReloadLicense ()
| See BaseManager.ReloadLicense.

## Static Public Member Functions
static ILicenseManager | GetInstance ()
| Get singleton LicenseManager instance.

## Additional Inherited Members
Properties inherited from LicenseSpring.BaseManager
string | DataLocation`[get, set]`
| Folder path where LicenseSpring data is being stored.
string | LicenseFileName`[get, set]`
| License filename with extension (optional), meaningful only if LicenseFileStorage is used.
Properties inherited from LicenseSpring.ILicenseManager
string | DataLocation`[get, set]`
| See BaseManager.DataLocation.
string | LicenseFileName`[get, set]`
| See BaseManager.LicenseFileName.

## Detailed Description

Class for performing basic requests to LicenseSpring backend and managing licenses. Implements `ILicenseManager` interface.

## Constructor & Destructor Documentation

## ◆ LicenseManager()

LicenseSpring.LicenseManager.LicenseManager | ( |  | ) |

Constructor of LicenseManager.

You can rather use singleton instance by LicenseManager.GetInstance or create manager directly by this constructor.

## Member Function Documentation

## ◆ ActivateLicense() [1/3]

ILicense LicenseSpring.LicenseManager.ActivateLicense | ( | LicenseID | licenseID | ) |

Activate license with given LicenseID.

Parameters

  licenseID | License ID: license key or email and password.

Returns
  License if activation successful, throws exceptions in case of errors.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseActivationException | In case something went wrong with license activation.
  LicenseSpring.LicenseDisabledException | Thrown when license is disabled.
  LicenseSpring.LicenseExpiredException | Thrown when license is expired.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.CannotBeActivatedNowException | If start_date field is set for the license and current date is behind start date.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implements LicenseSpring.ILicenseManager.

## ◆ ActivateLicense() [2/3]

ILicense LicenseSpring.LicenseManager.ActivateLicense | ( | LicenseID | licenseID,
|  | DeviceVariable[] | deviceVariables
| ) |  |

Activate license with given LicenseID and device variables.

Parameters

  licenseID | License ID: license key or email and password.
  deviceVariables | An array of device variables to be sent to the LicenseSpring platform during license activation.

Returns
  License if activation successful, throws exceptions in case of errors.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseActivationException | In case something went wrong with license activation.
  LicenseSpring.LicenseDisabledException | Thrown when license is disabled.
  LicenseSpring.LicenseExpiredException | Thrown when license is expired.
  LicenseSpring.SignatureMismatchException | In case signature returned by LicenseSpring backend is not valid or missing.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.CannotBeActivatedNowException | If start_date field is set for the license and current date is behind start date.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implements LicenseSpring.ILicenseManager.

## ◆ ActivateLicense() [3/3]

ILicense LicenseSpring.LicenseManager.ActivateLicense | ( | string | data,
|  | string | accountCode = `null`,
|  | bool | useToken = `false`,
|  | string | redirectUri = `null`
| ) |  |

Activate license using SSO.You can omit accountCode param if you already set customer account code through the Configuration.

Implements LicenseSpring.ILicenseManager.

## ◆ ActivateLicenseOffline()

ILicense LicenseSpring.LicenseManager.ActivateLicenseOffline | ( | string | activationResponseFile = `null` | ) |

Activate provided offline activation file.

Parameters

  activationResponseFile | Activation response file path, null means use default path (Desktop).

Returns
  License if activation succeeded.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  System.IO.FileNotFoundException | Thrown when provided file not found.
  LicenseSpring.SignatureMismatchException | In case signature in activation file is not valid.
  LicenseSpring.ActivationFileException | In case invalid activation file provided, check inner exception for more details.

Implements LicenseSpring.ILicenseManager.

## ◆ ChangePassword()

bool LicenseSpring.LicenseManager.ChangePassword | ( | LicenseID | licenseID,
|  | string | newPassword
| ) |  |

Change user password, meaningful only for user-based products.

Parameters

  licenseID | LicenseID: email and password.
  newPassword | New password.

Returns
  True if successfully changed and false otherwise.

Exceptions

  System.Security.Authentication.InvalidCredentialException | In case of wrong password.
  LicenseSpring.PasswordChangeNotAllowedException | If changing password is forbidden.
  LicenseSpring.MissingParametersException | If password or newPassword is empty.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implements LicenseSpring.ILicenseManager.

## ◆ GetAirGapActivationCode()

string LicenseSpring.LicenseManager.GetAirGapActivationCode | ( | string | initializationCode,
|  | string | licenseKey
| ) |  |

Get air gap Activation code.Available only in .NET Framework 4.7 or greater, .NET Standard, .NET 5.0 and later versions.

Implements LicenseSpring.ILicenseManager.

## ◆ GetAllSSOUrls()

string[] LicenseSpring.LicenseManager.GetAllSSOUrls | ( | string | accountCode = `null`,
|  | bool | useToken = `false`
| ) |  |

Get URL and any alternate URLs for Single Sign-On license activation.You can omit accountCode param if you already set customer account code through the Configuration.

Implements LicenseSpring.ILicenseManager.

## ◆ GetAllVersions()

string[] LicenseSpring.LicenseManager.GetAllVersions | ( | LicenseID | licenseID | ) |

Get all available versions for given license.

Parameters

  licenseID | License id: license key or user id.

Returns
  An array of versions available for the license.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseNotFoundException | In case provided license was not found.
  LicenseSpring.LicenseStateException | In case provided license is not active.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implements LicenseSpring.ILicenseManager.

## ◆ GetCustomerLicenseUsers()

ILicenseUser[] LicenseSpring.LicenseManager.GetCustomerLicenseUsers | ( | Customer | customer | ) |

Get license users information by customer.Please note that email is required field in Customer information.

Implements LicenseSpring.ILicenseManager.

## ◆ GetInstallationFile()

InstallationFile LicenseSpring.LicenseManager.GetInstallationFile | ( | LicenseID | licenseID,
|  | IInstallationFileOptions | options = `null`
| ) |  |

Get InstallationFile information for given license.

Parameters

  licenseID | License id: license key or user id.
  options | Providing InstallationFileOptions you can filter install files by channel or environment, you can also specify needed version.

This param is optional, if not provided then last available version assumed from default channel.

Implements LicenseSpring.ILicenseManager.

## ◆ GetInstance()

static ILicenseManager LicenseSpring.LicenseManager.GetInstance | ( |  | ) |
| static

Get singleton LicenseManager instance.

Returns
  LicenseManager instance

## ◆ GetOfflineActivationFile() [1/2]

string LicenseSpring.LicenseManager.GetOfflineActivationFile | ( | LicenseID | licenseID,
|  | DeviceVariable[] | deviceVariables,
|  | string | activationRequestFile = `null`
| ) |  |

Creates offline activation file request.

Parameters

  licenseID | License ID, license key or email and password.
  deviceVariables | An array of device variables to be sent to the LicenseSpring platform during license activation.
  activationRequestFile | Activation request file path, null means use default path (Desktop).

Returns
  Path to offline activation file request.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.

Implements LicenseSpring.ILicenseManager.

## ◆ GetOfflineActivationFile() [2/2]

string LicenseSpring.LicenseManager.GetOfflineActivationFile | ( | LicenseID | licenseID,
|  | string | activationRequestFile = `null`
| ) |  |

Creates offline activation file request.

Parameters

  licenseID | License ID, license key or email and password.
  activationRequestFile | Activation request file path, null means use default path (Desktop).

Returns
  Path to offline activation file request.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.

Implements LicenseSpring.ILicenseManager.

## ◆ GetProductDetails() [1/2]

ProductDetails LicenseSpring.LicenseManager.GetProductDetails | ( | bool | includeCustomFields,
|  | bool | includeLatestVersion,
|  | string | env
| ) |  |

Retrieve information about a product from LicenseSpring backend.In offline mode data will be retrieved from license file if present.

Implements LicenseSpring.ILicenseManager.

## ◆ GetProductDetails() [2/2]

ProductDetails LicenseSpring.LicenseManager.GetProductDetails | ( | bool | includeCustomFields = `false`,
|  | bool | includeLatestVersion = `false`
| ) |  |

Retrieve information about a product from LicenseSpring backend.In offline mode data will be retrieved from license file if present.

Implements LicenseSpring.ILicenseManager.

## ◆ GetSSOUrl()

string LicenseSpring.LicenseManager.GetSSOUrl | ( | string | accountCode = `null`,
|  | bool | useToken = `false`
| ) |  |

Get URL for Single Sign-On license activation.You can omit accountCode param if you already set customer account code through the Configuration.

Implements LicenseSpring.ILicenseManager.

## ◆ GetTrialLicense() [1/2]

LicenseID LicenseSpring.LicenseManager.GetTrialLicense | ( | Customer | user = `null`,
|  | string | licensePolicy = `null`
| ) |  |

Request trial license from LicenseSpring.If you provide user information please note that user's email is required field.

Implements LicenseSpring.ILicenseManager.

## ◆ GetTrialLicense() [2/2]

LicenseID LicenseSpring.LicenseManager.GetTrialLicense | ( | string | email | ) |

Request trial license from LicenseSpring platform. Overloaded method.

Parameters

  email | User's email.

Returns
  Trial LicenseID.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.ProductNotFoundException | In case product does not exist on the platform.
  LicenseSpring.LicenseServerException | In case of internal LicenseSpring backend error.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.
  LicenseSpring.OAuthException | In case of invalid or expired OAuth credentials.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implements LicenseSpring.ILicenseManager.

## ◆ GetUserLicenses()

UserLicensesData[] LicenseSpring.LicenseManager.GetUserLicenses | ( | string | username,
|  | string | password
| ) |  |

Retrieves all licenses for the provided username and password and the product this LicenseManager is initialized for.

Parameters

  username | Username of the user for whom the licenses will be retrieved.
  password | Password of the user for whom the licenses will be retrieved.

Returns
  Array of licenses and user information for each license. Returns an empty array if username or password is not provided.

Implements LicenseSpring.ILicenseManager.

## ◆ GetUserLicensesSSO()

UserLicensesData[] LicenseSpring.LicenseManager.GetUserLicensesSSO | ( | string | data,
|  | bool | useToken = `false`,
|  | string | redirectUri = `null`
| ) |  |

Get all user licenses using SSO, for the product this LicenseManager is initialized for.

Parameters

  data | id_token or code you get after user authorization with SSO.
  useToken | Whether to use id_token instead of code for activation.
  redirectUri | An optional redirect URI that needs to be sent with authentication data. The License API expects a non-empty value only when using an alternate SSO URL.

Returns
  Array of licenses and user information for each license. Returns an empty array if data is not provided.

Implements LicenseSpring.ILicenseManager.

## ◆ IsOnline()

bool LicenseSpring.LicenseManager.IsOnline | ( | bool | throwExceptions = `false` | ) |

Helper method, it checks connection to the LicenseSpring backend.

Parameters

  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.

Returns
  True if SDK is able to connect to the LicenseSpring platform and false otherwise.

Exceptions

  System.InvalidOperationException | Thrown when license manager is not initialized.
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

Implements LicenseSpring.ILicenseManager.

## ◆ RelinkLicense()

ILicense LicenseSpring.LicenseManager.RelinkLicense | ( | DeviceIDAlgorithm | deviceIdAlgorithm,
|  | string | userPassword = `null`
| ) |  |

This method helps upgrade to new device id algorithm. It deactivates current license with old device id and activate with new one. Internet connection is required.Local license is required to call this method. May throw exceptions the same as ActivateLicense and License.Deactivate methods.

Implements LicenseSpring.ILicenseManager.

The documentation for this class was generated from the following file:

- LicenseManager.cs